Submit feedback
curl --request POST \
--url https://getkontext.io/api/v1/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "<string>",
"content": {
"body": "<string>",
"title": "<string>",
"bodyFormat": "markdown"
},
"sourceUrl": "<string>",
"feedbackType": "generic_feedback",
"contextId": "<string>",
"actorId": "<string>",
"metadata": {},
"notes": "<string>"
}
'import requests
url = "https://getkontext.io/api/v1/feedback"
payload = {
"productId": "<string>",
"content": {
"body": "<string>",
"title": "<string>",
"bodyFormat": "markdown"
},
"sourceUrl": "<string>",
"feedbackType": "generic_feedback",
"contextId": "<string>",
"actorId": "<string>",
"metadata": {},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '<string>',
content: {body: JSON.stringify('<string>'), title: '<string>', bodyFormat: 'markdown'},
sourceUrl: '<string>',
feedbackType: 'generic_feedback',
contextId: '<string>',
actorId: '<string>',
metadata: {},
notes: '<string>'
})
};
fetch('https://getkontext.io/api/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feedbackId": "<string>",
"url": "<string>",
"status": "queued"
}{
"error": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>",
"path": [
"<string>"
]
}
]
}Feedback
Submit feedback
POST
/
v1
/
feedback
Submit feedback
Authorizations
API key (ktx_key_*) or session Bearer token
Body
application/json
Minimum string length:
1Show child attributes
Show child attributes
Available options:
bug, feature_request, support_ticket, prospect_call, support_call, research_call, generic_feedback Show child attributes
Show child attributes
Available options:
manual, api ⌘I